use strict;
package ASCOPE::Article::Collection::Constants::Rels;

# $Id: Rels.pm,v 1.5 2005/11/30 17:08:53 asc Exp $

=head1 NAME

ASCOPE::Article::Collection::Constants::Rels - constant variables for keyword relationships

=head1 SYNOPSIS

  use ASCOPE::Article::Collection::Constants qw (:rels);

=head1 DESCRIPTION

Constant variables for keyword relationships

=cut

use constant RELS_INDEXTERMS => ("per","org","geo");
use constant RELS_KEYWORDS   => ("keywords");

use constant RELS_LABELS => {geo      => "place",
			     org      => "organization",
			     per      => "person",
			     keywords => "idea"};

use constant RELS_LABELS_FORMAL => {geo      => "Places",
                                    org      => "Organizations",
                                    per      => "People",
                                    person   => "People",
                                    keywords => "Ideas"};

use constant RELS_SHAPES => {geo      => "box",
			     keywords => "box",
			     org      => "box",
			     per      => "box"};

use constant RELS_COLOURS => {geo      => "pink",
			      keywords => "yellow",
			      org      => "orange",
			      per      => "cyan"};

BEGIN {
    use vars qw (@EXPORT_OK);

    @EXPORT_OK = qw (RELS_INDEXTERMS
		     RELS_KEYWORDS
		     RELS_LABELS
                     RELS_LABELS_FORMAL
		     RELS_SHAPES
		     RELS_COLOURS);
}

=head1 VERSION

0.2

=head1 DATE

$Date: 2005/11/30 17:08:53 $

=head1 AUTHOR

Aaron Straup Cope E<lt>ascope@cpan.orgE<gt>

=head1 SEE ALSO

L<ASCOPE::Article::Collection>

=head1 LICENSE

Copyright (c) 2004 Aaron Straup Cope. All rights reserved.

This is free software, you may use it and distribute it under the
same terms as Perl itself.

=cut

return 1;
